Name:		mvs-tomcat
Version:	8.0.48
Release:	2%{?dist}
Summary:	Tomcat Version 8

Group:		System Environment/Base
License:	ASL 2.0
URL:		http://mvs-serv1.vsp.cpg.sony.co.jp/
Source0:	apache-tomcat-%{version}.tar.gz
Source1:	mvs-tomcat.service
BuildRoot:	%{_tmppath}/%{name}-root

Requires:	mvs-java-conf systemd
Obsoletes: tomcat, tomcat-webapps, tomcat-lib, tomcat-el-2.2-api, tomcat-jsp-2.2-api, tomcat-servlet-3.0-api
Obsoletes: avalon-logkit, avalon-framework, jakarta-taglibs-standard, apache-commons-logging
BuildArch:	noarch

%description
Install apache tomcat version 8

%define tomcat_dirname tomcat
%define fullname apache-tomcat
%define tcuid 91
%define basedir %{_var}/lib/%{tomcat_dirname}
%define homedir %{_datadir}/%{tomcat_dirname}
%define appdir %{basedir}/webapps
%define bindir %{homedir}/bin
%define libdir %{_javadir}/%{tomcat_dirname}
%define confdir %{_sysconfdir}/%{tomcat_dirname}
%define cachedir %{_var}/cache/%{tomcat_dirname}
%define tempdir %{cachedir}/temp
%define workdir %{cachedir}/work
%define logdir %{_var}/log/%{tomcat_dirname}

%prep
%setup -n %{fullname}-%{version}

%pre
%{_sbindir}/groupadd -g %{tcuid} -r tomcat 2>/dev/null || :
%{_sbindir}/useradd -c "Apache Tomcat" -u %{tcuid} -g tomcat \
    -s /bin/nologin -r -d %{basedir} tomcat 2>/dev/null || :

%build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}/*
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{appdir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{bindir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{libdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{logdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{homedir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{tempdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{workdir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_unitdir}
%{__install} -m 0644  %{SOURCE1} ${RPM_BUILD_ROOT}%{_unitdir}/%{name}.service
%{__cp} -a bin/*.{sh,jar,xml} ${RPM_BUILD_ROOT}%{bindir}
%{__cp} -a lib/* ${RPM_BUILD_ROOT}%{libdir}
%{__cp} -a conf/* ${RPM_BUILD_ROOT}%{confdir}
pushd ${RPM_BUILD_ROOT}%{homedir}
  %{__ln_s} %{appdir} webapps
  %{__ln_s} %{confdir} conf
  %{__ln_s} %{libdir} lib
	%{__ln_s} %{logdir} logs
  %{__ln_s} %{tempdir} temp
  %{__ln_s} %{workdir} work
popd

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%systemd_post %{name}.service
/usr/bin/systemctl enable %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%defattr(0664,root,tomcat,0755)
%doc {LICENSE,NOTICE,RELEASE*}
%attr(0644,root,root) %{_unitdir}/%{name}.service
%attr(0755,root,tomcat) %dir %{basedir}
%attr(0755,root,tomcat) %dir %{confdir}
%attr(0664,tomcat,tomcat) %config %{confdir}/*.policy
%attr(0664,tomcat,tomcat) %config %{confdir}/*.properties
%attr(0664,tomcat,tomcat) %config %{confdir}/context.xml
%attr(0664,tomcat,tomcat) %config %{confdir}/server.xml
%attr(0660,tomcat,tomcat) %config %{confdir}/tomcat-users.xml
%attr(0660,tomcat,tomcat) %config %{confdir}/tomcat-users.xsd
%attr(0664,tomcat,tomcat) %config %{confdir}/web.xml
%attr(0770,tomcat,root) %dir %{logdir}
%attr(0755,root,root) %{bindir}/*.sh
%attr(-,root,root) %{bindir}/*.jar
%attr(-,root,root) %{bindir}/*.xml
%attr(0755,root,root) %dir %{libdir}
%attr(0644,root,root) %{libdir}/* 
%attr(0770,root,tomcat) %dir %{cachedir}
%attr(0770,root,tomcat) %dir %{tempdir}
%attr(0770,root,tomcat) %dir %{workdir}
%attr(0775,root,tomcat) %dir %{appdir}
%dir %{homedir}
%{homedir}/lib
%{homedir}/temp
%{homedir}/webapps
%{homedir}/work
%{homedir}/logs
%{homedir}/conf

%changelog
* Wed Apr 17 2019 Takeo Ugai <Takeo.Ugai@sony.com> - 8.0.48-2
- Requires: jdk1.8 -> mvs-java-conf.

* Tue Jan 09 2018 Keiichi Asami <Keiichi.Asami@sony.com> - 8.0.48-1
- Update Tomcat version.
- Update requires JDK version.

* Fri May 26 2017 Keiichi Asami <Keiichi.Asami@jp.sony.com> - 8.0.28-3
- Modify License.

* Wed Oct 12 2016 Keiichi Asami <Keiichi.Asami@jp.sony.com> - 8.0.28-2
- Update requires JDK version.

* Thu Nov 05 2015 Keiichi Asami <Keiichi.Asami@jp.sony.com> - 8.0.28-1
- Initial Version
